com.google.gwt.typedarrays.shared

## Interface Float64Array

All Superinterfaces:
  ArrayBufferView

All Known Implementing Classes:
  Float64ArrayImpl, Float64ArrayNative

    public interface Float64Array
    extends ArrayBufferView

A view representing an `ArrayBuffer` as 32-bit floats. "http://www.khronos.org/registry/typedarray/specs/latest/#7"

### Field Summary

Fields
`static int` `BYTES_PER_ELEMENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `get(int index)` Retrieve one element of this view.
`int` `length()` The length in elements of this view.
`void` `set(double[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` `set(double[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` `set(Float64Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` `set(Float64Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`void` `set(int index, double value)` Set one element in this view.
`Float64Array` `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Float64Array` `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

### Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView

`buffer, byteLength, byteOffset`

### Field Detail

#### BYTES_PER_ELEMENT

    static final int BYTES_PER_ELEMENT

See Also:
  Constant Field Values

### Method Detail

#### length

    int length()

The length in elements of this view.

Returns:
  non-negative length

#### get

    double get(int index)

Retrieve one element of this view.

Parameters:
  `index` -
Returns:
  the requested element

#### set

    void set(int index,
             double value)

Set one element in this view.

Parameters:
  `index` -
  `value` -

#### set

    void set(Float64Array array)

Set multiple elements in this view from another view, storing starting at 0.

Parameters:
  `array` -

#### set

    void set(Float64Array array,
             int offset)

Set multiple elements in this view from another view, storing starting at the requested offset.

Parameters:
  `array` -

#### set

    void set(double[] array)

Set multiple elements in this view from an array, storing starting at 0.

Parameters:
  `array` -

#### set

    void set(double[] array,
             int offset)

Set multiple elements in this view from an array, storing starting at the requested offset.

Parameters:
  `array` -

#### subarray

    Float64Array subarray(int begin)

Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Float64Array` instance

#### subarray

    Float64Array subarray(int begin,
                          int end)

Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  `end` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Float64Array` instance